Send a test event to the webhook
curl --request POST \
--url https://api.juicer.io/v1/webhooks/{id}/test \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.juicer.io/v1/webhooks/{id}/test"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.juicer.io/v1/webhooks/{id}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"payload": {
"posts": [
{
"id": 123,
"external_id": "<string>",
"platform": "<string>",
"url": "<string>",
"message": "<string>",
"external_created_at": "2023-11-07T05:31:56Z",
"poster": {
"display_name": "<string>",
"name": "<string>",
"url": "<string>",
"image": "<string>",
"platform_id": "<string>"
},
"media": [
{
"url": "<string>",
"preview_image_url": "<string>",
"width": 123,
"height": 123,
"alt_text": "<string>",
"platform_id": "<string>"
}
],
"like_count": 123,
"comment_count": 123,
"share_count": 123,
"view_count": 123,
"quote_count": 123,
"bookmark_count": 123,
"impression_count": 123,
"tagged_users": "<string>",
"ai_moderation_reasoning": "<string>",
"pinned": true,
"referenced_post": {
"poster": {
"display_name": "<string>",
"name": "<string>",
"url": "<string>",
"image": "<string>",
"platform_id": "<string>"
},
"message": "<string>",
"url": "<string>",
"platform_id": "<string>",
"post_created_at": "2023-11-07T05:31:56Z",
"media": [
{
"url": "<string>",
"preview_image_url": "<string>",
"width": 123,
"height": 123,
"alt_text": "<string>",
"platform_id": "<string>"
}
]
},
"reshared_by": {
"display_name": "<string>",
"name": "<string>",
"url": "<string>",
"image": "<string>",
"platform_id": "<string>"
},
"created_at": "2023-11-07T05:31:56Z"
}
],
"feed": {
"id": 123,
"name": "<string>"
},
"source": {
"id": 123,
"platform": "<string>"
}
},
"resource_type": "<string>",
"resource_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"deliveries": [
{
"id": 123,
"webhook_id": 123,
"webhook_event_id": 123,
"http_status": 123,
"response_body": "<string>",
"error_message": "<string>",
"attempt_number": 123,
"duration_ms": 123,
"attempted_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
]
}
}{
"error": {
"code": "feed_limit_reached",
"message": "Your Free plan allows 1 feed(s). Upgrade to create more.",
"details": {
"name": [
"can't be blank"
]
},
"action": {
"type": "upgrade_plan",
"current_plan": "small",
"current_plan_display_name": "Free",
"required_plan": "large",
"required_plan_display_name": "Pro",
"upgrade_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}
}Webhooks
Send a test event to the webhook
POST
/
webhooks
/
{id}
/
test
Send a test event to the webhook
Authorizations
API key prefixed with jcr_. To obtain a key programmatically
(no dashboard required), see POST /v1/authorize.
Path Parameters
Response
Test event created and delivery enqueued
An event as returned by the API. Note the field names differ from the
delivered webhook body: event_type is event there, and payload is
the data member. See WebhookDeliveryBody.
Show child attributes
Show child attributes
⌘I